{
    "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
    "version": 1,
    "newProjectRoot": "projects",
    "projects": {
        "bgd": {
            "projectType": "application",
            "schematics": {
                "@schematics/angular:component": {
                    "style": "scss"
                }
            },
            "root": "",
            "sourceRoot": "src",
            "prefix": "bgd",
            "architect": {
                "build": {
                    "builder": "@angular-devkit/build-angular:browser",
                    "options": {
                        "outputPath": "dist",
                        "index": "src/index.html",
                        "main": "src/main.ts",
                        "crossOrigin": "use-credentials",
                        "polyfills": [
                            "zone.js"
                        ],
                        "tsConfig": "tsconfig.app.json",
                        "inlineStyleLanguage": "scss",
                        "allowedCommonJsDependencies": [
                            "apexcharts",
                            "highlight.js",
                            "crypto-js/enc-utf8",
                            "crypto-js/hmac-sha256",
                            "crypto-js/enc-base64",
                            "file-saver",
                            "crypto-js",
                            "flat",
                            "quill",
                            "luxon"
                        ],
                        "assets": [
                            "src/favicon-16x16.png",
                            "src/favicon-32x32.png",
                            "src/assets",
                            "src/robots.txt",
                            {
                                "glob": "_redirects",
                                "input": "src",
                                "output": "/"
                            }
                        ],
                        "stylePreprocessorOptions": {
                            "includePaths": [
                                "src/@bgd/styles"
                            ]
                        },
                        "styles": [
                            "@angular/material/prebuilt-themes/indigo-pink.css",
                            "src/styles/themes.scss",
                            "src/styles/typography.scss",
                            "src/styles/vendors.scss",
                            "src/@bgd/styles/main.scss",
                            "src/styles/styles.scss",
                            "src/@bgd/styles/tailwind.scss",
                            "src/styles/tailwind.scss"
                        ],
                        "scripts": [
                            "node_modules/apexcharts/dist/apexcharts.min.js"
                        ]
                    },
                    "configurations": {
                        "production": {
                            "budgets": [
                                {
                                    "type": "initial",
                                    "maximumWarning": "3mb",
                                    "maximumError": "5mb"
                                },
                                {
                                    "type": "anyComponentStyle",
                                    "maximumWarning": "75kb",
                                    "maximumError": "90kb"
                                }
                            ],
                            "outputHashing": "all"
                        },
                        "development": {
                            "buildOptimizer": false,
                            "optimization": false,
                            "vendorChunk": true,
                            "extractLicenses": false,
                            "sourceMap": true,
                            "namedChunks": true
                        }
                    },
                    "defaultConfiguration": "production"
                },
                "serve": {
                    "builder": "@angular-devkit/build-angular:dev-server",
                    "configurations": {
                        "production": {
                            "browserTarget": "bgd:build:production"
                        },
                        "development": {
                            "browserTarget": "bgd:build:development"
                        }
                    },
                    "defaultConfiguration": "development"
                },
                "extract-i18n": {
                    "builder": "@angular-devkit/build-angular:extract-i18n",
                    "options": {
                        "browserTarget": "bgd:build"
                    }
                },
                "test": {
                    "builder": "@angular-devkit/build-angular:karma",
                    "options": {
                        "polyfills": [
                            "zone.js",
                            "zone.js/testing"
                        ],
                        "tsConfig": "tsconfig.spec.json",
                        "inlineStyleLanguage": "scss",
                        "assets": [
                            "src/favicon-16x16.png",
                            "src/favicon-32x32.png",
                            "src/assets"
                        ],
                        "styles": [
                            "@angular/material/prebuilt-themes/indigo-pink.css",
                            "src/styles/styles.scss"
                        ],
                        "scripts": []
                    }
                }
            }
        }
    },
    "cli": {
        "analytics": "72b997b4-9ab0-4170-a452-78ee4b7d99e1"
    }
}